[Dune] [#674] strict-aliasing warnings with gcc-4.4

Dune dune at dune-project.org
Sat Dec 5 18:13:16 CET 2009


THIS IS AN AUTOMATED MESSAGE, DO NOT REPLY.

The following task has a new comment added:

FS#674 - strict-aliasing warnings with gcc-4.4
User who did this - Martin Nolte (nolte)

----------
PS: I would still like to hear a good reason for keeping the cast operators. If they are only needed for backward compatiblity, then I suggest to simply deprecate them and stick to the reinterpret_cast. If someone wants to use gcc-4.4, we can (in my opinion) expect him to adapt the code to non-deprecated methods.
----------

More information can be found at the following URL:
http://www.dune-project.org/flyspray/index.php?do=details&task_id=674#comment1462

You are receiving this message because you have requested it from the Flyspray bugtracking system.  If you did not expect this message or don't want to receive mails in future, you can change your notification settings at the URL shown above.



More information about the Dune mailing list